Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkUnsignedCharArray Class Reference

`#include <vtkUnsignedCharArray.h>`

Inheritance diagram for vtkUnsignedCharArray:

[legend]
Collaboration diagram for vtkUnsignedCharArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting unsigned character array

Date:
  2002/11/12 18:32:04

Revision:
  1.68

vtkUnsignedCharArray is an array of unsigned character values. It provides methods for insertion and retrieval of characters, and will automatically resize itself to hold new data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Martin, Ken (20%)
  - Henderson, Amy (7%)
  - Geveci, Berk (6%)
  - Kelly, Ann (5%)
  - Miller, Jim (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkUnsignedCharArray.h)`
  - .`cxx` (`/Common/vtkUnsignedCharArray.cxx)`

Tests:
  vtkUnsignedCharArray (Tests)

Definition at line 50 of file vtkUnsignedCharArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
void | InsertComponent (const vtkIdType i, const int j, float c)
unsigned char | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const unsigned char c)
vtkIdType | InsertNextValue (const unsigned char c)
unsigned char * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *da)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void | SetValue (const vtkIdType id, const unsigned char value)
unsigned char * | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
void | SetArray (unsigned char *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkUnsignedCharArray * | New ()
int | IsTypeOf (const char *type)
vtkUnsignedCharArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkUnsignedCharArray (vtkIdType numComp=1)
| ~vtkUnsignedCharArray ()
unsigned char * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
unsigned char * | Array
int | TupleSize
float * | Tuple
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkUnsignedCharArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 55 of file vtkUnsignedCharArray.h.

## Constructor & Destructor Documentation

vtkUnsignedCharArray::vtkUnsignedCharArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkUnsignedCharArray::~vtkUnsignedCharArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkUnsignedCharArray* vtkUnsignedCharArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkUnsignedCharArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkUnsignedCharArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkUnsignedCharArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkUnsignedCharArray* vtkUnsignedCharArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkUnsignedCharArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkUnsignedCharArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkUnsignedCharArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 66 of file vtkUnsignedCharArray.h. References VTK_UNSIGNED_CHAR.

int vtkUnsignedCharArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 69 of file vtkUnsignedCharArray.h.

void vtkUnsignedCharArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkUnsignedCharArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. This is a dangerous method (it is not thread safe since a pointer is returned). Implements vtkDataArray.

void vtkUnsignedCharArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkUnsignedCharArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkUnsignedCharArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkUnsignedCharArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkUnsignedCharArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkUnsignedCharArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 105 of file vtkUnsignedCharArray.h.

virtual void vtkUnsignedCharArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

float vtkUnsignedCharArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less then NumberOfTuples and j is less then NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

unsigned char vtkUnsignedCharArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 127 of file vtkUnsignedCharArray.h. References id, and vtkIdType.

void vtkUnsignedCharArray::SetValue | ( | const vtkIdType | id,
|  | const unsigned char | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 132 of file vtkUnsignedCharArray.h. References id, and vtkIdType.

void vtkUnsignedCharArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 194 of file vtkUnsignedCharArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkUnsignedCharArray::InsertValue | ( | const vtkIdType | id,
|  | const unsigned char | c
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 215 of file vtkUnsignedCharArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkUnsignedCharArray::InsertNextValue | ( | const unsigned char | c | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 229 of file vtkUnsignedCharArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

unsigned char* vtkUnsignedCharArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 151 of file vtkUnsignedCharArray.h. References id, and vtkIdType.

void* vtkUnsignedCharArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 152 of file vtkUnsignedCharArray.h. References id, and vtkIdType.

unsigned char * vtkUnsignedCharArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 200 of file vtkUnsignedCharArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by vtkLookupTable::WritePointer().

void vtkUnsignedCharArray::DeepCopy | ( | vtkDataArray * | da | ) | `[virtual]`

| Deep copy of another unsigned char array. Reimplemented from vtkDataArray.

void vtkUnsignedCharArray::SetArray | ( | unsigned char * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkUnsignedCharArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 172 of file vtkUnsignedCharArray.h. References vtkIdType.

unsigned char* vtkUnsignedCharArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

unsigned char* vtkUnsignedCharArray::Array`[protected]`

| Definition at line 181 of file vtkUnsignedCharArray.h. Referenced by InsertValue(), and WritePointer().

int vtkUnsignedCharArray::TupleSize`[protected]`

| Definition at line 185 of file vtkUnsignedCharArray.h.

float* vtkUnsignedCharArray::Tuple`[protected]`

| Definition at line 186 of file vtkUnsignedCharArray.h.

int vtkUnsignedCharArray::SaveUserArray`[protected]`

| Definition at line 188 of file vtkUnsignedCharArray.h.

The documentation for this class was generated from the following file:

- Common/vtkUnsignedCharArray.h